﻿using System.IO;
using System.Net;
using System.Web;
using System.Web.Services;

namespace AutocompleteBox.Web
{
	[WebService(Namespace = "http://tempuri.org/")]
	[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
	public class Search : IHttpHandler
	{
		public void ProcessRequest(HttpContext context)
		{
			var request = WebRequest.Create("http://clients5.google.com/complete/search?" + context.Request.QueryString.ToString());
			var response = request.GetResponse();
			var responseStream = response.GetResponseStream();

			context.Response.ContentType = "text/plain";
			context.Response.Write(new StreamReader(responseStream).ReadToEnd());
		}

		public bool IsReusable
		{
			get
			{
				return false;
			}
		}
	}
}